Get parcel rates
curl --request POST \
--url https://api.shippeek.dev/rates/parcel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"originPostalCode": "<string>",
"destPostalCode": "<string>",
"items": [
{
"weight": 123,
"length": 123,
"width": 123,
"height": 123,
"quantity": 1,
"package": "Custom"
}
],
"pickupDate": "2023-12-25",
"charges": [],
"originCountry": "USA",
"originType": "business dock",
"destCountry": "USA",
"destType": "business dock",
"schedulePickup": false
}
'import requests
url = "https://api.shippeek.dev/rates/parcel"
payload = {
"originPostalCode": "<string>",
"destPostalCode": "<string>",
"items": [
{
"weight": 123,
"length": 123,
"width": 123,
"height": 123,
"quantity": 1,
"package": "Custom"
}
],
"pickupDate": "2023-12-25",
"charges": [],
"originCountry": "USA",
"originType": "business dock",
"destCountry": "USA",
"destType": "business dock",
"schedulePickup": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
originPostalCode: '<string>',
destPostalCode: '<string>',
items: [
{
weight: 123,
length: 123,
width: 123,
height: 123,
quantity: 1,
package: 'Custom'
}
],
pickupDate: '2023-12-25',
charges: [],
originCountry: 'USA',
originType: 'business dock',
destCountry: 'USA',
destType: 'business dock',
schedulePickup: false
})
};
fetch('https://api.shippeek.dev/rates/parcel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"rates": [
{
"id": "<string>",
"paymentTerms": "<string>",
"total": 123,
"ref": "<string>",
"days": 123,
"serviceType": "<string>",
"serviceDescription": "<string>",
"time": 123,
"carrierId": "<string>",
"carrier": "<string>",
"carrierCode": "<string>",
"charges": [
{
"name": "<string>",
"amount": 123
}
],
"bookUrl": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}Rates
Get parcel rates
Get parcel shipping rates from UPS and FedEx. Returns service options with pricing and transit times.
POST
/
rates
/
parcel
Get parcel rates
Authorizations
Your ShipPeek API token in the format client_id.client_secret.
Body
application/json
Show child attributes
Show child attributes
Parcel-specific accessorial charges
Available options:
signature required, adult signature required, indirect signature required Available options:
USA, CAN Available options:
business dock, business no dock, residential Available options:
USA, CAN Available options:
business dock, business no dock, residential Whether to include pickup scheduling with the booking
⌘I